#! /usr/bin/env Rscript 

source("mandelbrot.R")

gridSize <- 4000

# Compute fractal
y <- iterate.until.escape(immin = -1.5, immax = 1.5, remin = -2, remax = 1, 
                          delta = 3/gridSize, trans = function(z,c)z^2+c, 
                          cond = function(z)abs(z) <= 2, max = 127)

# Output the fractal. 
if(interactive()) {
  image(y, col = topo.colors(128), useRaster = TRUE)
} else {
  library(png)
  writePNG(y, target = "mandelbrot.png")
}
